Subject: [Fot] Driving to Buttonwillow

From: Mark J Bradakis via Fot <[email-masked]>
Date: Fri, 26 Apr 2019 09:33:34 -0600

Karen was worried that my 15 year old Chevy Blazer may develop troubles 
if I drove it to the event.  Hey, it only has 160,000 miles on it, just 
getting broken in.  She wanted me to fly, but then she saw just how far 
from any major airports this place is. So we comprimised, I will be 
driving from SLC, but in a rental car, not the old Blazer.  So if it 
breaks down on the road, it will be someone else's problem, not mine!

See you soon at the track!

mjb.

_______________________________________________
[email-masked]

http://www.fot-racing.com

Donate: http://www.team.net/donate.html
Archive: http://autox.team.net/archive http://www.team.net/pipermail/fot
Unsubscribe/Manage: http://autox.team.net/mailman/options/fot/[email-masked]